---
title: ':active'
slug: 'Web/CSS/:active'
tags:
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>:active</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/CSS/Pseudo-classes" title="Pseudo-classes">pseudo-class</a> represents an element (such as a button) that is being activated by the user.</span> When using a mouse, "activation" typically starts when the user presses down the primary mouse button.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any &lt;a&gt; that is being activated */
a:active {
  color: red;
}</pre>

<p>The <code>:active</code> pseudo-class is commonly used on {{HTMLElement("a")}} and {{HTMLElement("button")}} elements. Other common targets of this pseudo-class include elements that <em>contain</em> an activated element, and form elements that are being activated through their associated {{HTMLElement("label")}}.</p>

<p>Styles defined by the <code>:active</code> pseudo-class will be overridden by any subsequent link-related pseudo-class ({{cssxref(":link")}}, {{cssxref(":hover")}}, or {{cssxref(":visited")}}) that has at least equal specificity. To style links appropriately, put the <code>:active</code> rule after all other link-related rules, as defined by the <em>LVHA-order</em>: <code>:link</code> — <code>:visited</code> — <code>:hover</code> — <code>:active</code>.</p>

<div class="note"><strong>Note:</strong> On systems with multi-button mice, CSS3 specifies that the <code>:active</code> pseudo-class must only apply to the primary button; on right-handed mice, this is typically the leftmost button.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Active_links">Active links</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;This paragraph contains a link:
  &lt;a href="#"&gt;This link will turn red while you click on it.&lt;/a&gt;
  The paragraph will get a gray background while you click on it or the link.
&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">a:link { color: blue; }          /* Unvisited links */
a:visited { color: purple; }     /* Visited links */
a:hover { background: yellow; }  /* Hovered links */
a:active { color: red; }         /* Active links */

p:active { background: #eee; }   /* Active paragraphs */</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Active_links')}}</p>

<h3 id="Active_form_elements">Active form elements</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;form&gt;
  &lt;label for="my-button"&gt;My button: &lt;/label&gt;
  &lt;button id="my-button" type="button"&gt;Try Clicking Me or My Label!&lt;/button&gt;
&lt;/form&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">form :active {
  color: red;
}

form button {
  background: white;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample('Active_form_elements')}}</p>

<h2 id="Specifications"><span>Specifications</span></h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'scripting.html#selector-active', ':active')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#active-pseudo', ':active')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#useraction-pseudos', ':active')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'selector.html#dynamic-pseudo-classes', ':active')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#anchor-pseudo-classes', ':active')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.active")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>Link-related pseudo-classes: {{cssxref(":link")}}, {{cssxref(":visited")}}, and {{cssxref(":hover")}}</li>
</ul>
